Chromium Code Reviews
Help | Chromium Project | Sign in
(155)

Issue 22928008: Refactor emitter in web-ui to make dart.js the last script, also cleanup tests (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 9 months ago by Siggi Cherem (dart-lang)
Modified:
1 year, 9 months ago
Reviewers:
John Messerly, blois
CC:
reviews_dartlang.org, web-ui-dev+reviews_dartlang.org
Base URL:
git@github.com:dart-lang/web-ui.git@master
Visibility:
Public.

Description

Refactor emitter in web-ui to make dart.js the last script, also cleanup tests that started failing since the last trunk SDK build R=jmesserly@google.com Committed: https://github.com/dart-lang/web-ui/commit/6d8f86d

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+96 lines, -137 lines) Patch
M example/component/news/test/expected/news_index_test.html.txt View 2 chunks +9 lines, -9 lines 2 comments Download
M lib/src/compiler.dart View 1 chunk +1 line, -5 lines 0 comments Download
M lib/src/emitters.dart View 2 chunks +13 lines, -4 lines 0 comments Download
M test/data/expected/component_unique_ids_test.html.txt View 1 chunk +0 lines, -1 line 0 comments Download
M test/data/expected/css_import_test.html.txt View 2 chunks +0 lines, -2 lines 0 comments Download
M test/data/expected/css_main_test.html.txt View 2 chunks +0 lines, -2 lines 0 comments Download
M test/data/expected/css_pseudo_test.html.txt View 3 chunks +0 lines, -3 lines 0 comments Download
M test/data/expected/css_var_test.html.txt View 2 chunks +0 lines, -2 lines 0 comments Download
M test/data/expected/dom_accessor_binding_test.html.txt View 1 chunk +1 line, -1 line 0 comments Download
M test/data/expected/element_ctor_test.html.txt View 1 chunk +6 lines, -6 lines 0 comments Download
M test/data/expected/if_children_test.html.txt View 3 chunks +0 lines, -11 lines 0 comments Download
M test/data/expected/recursive_component_test.html.txt View 1 chunk +0 lines, -1 line 0 comments Download
M test/data/input/css_compile/expected/index_apply_test.html.txt View 2 chunks +0 lines, -14 lines 0 comments Download
M test/data/input/css_compile/expected/index_mangle_test.html.txt View 6 chunks +15 lines, -20 lines 0 comments Download
M test/data/input/css_compile/expected/index_reset_test.html.txt View 6 chunks +15 lines, -19 lines 0 comments Download
M test/data/input/css_compile/expected/index_shadow_dom_test.html.txt View 6 chunks +15 lines, -15 lines 0 comments Download
M test/data/input/css_compile/expected/index_test.html.txt View 6 chunks +15 lines, -19 lines 0 comments Download
M test/emitter_test.dart View 6 chunks +6 lines, -3 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 4 (0 generated)
Siggi Cherem (dart-lang)
1 year, 9 months ago (2013-08-13 22:55:18 UTC) #1
John Messerly
lgtm https://chromiumcodereview.appspot.com/22928008/diff/1/example/component/news/test/expected/news_index_test.html.txt File example/component/news/test/expected/news_index_test.html.txt (right): https://chromiumcodereview.appspot.com/22928008/diff/1/example/component/news/test/expected/news_index_test.html.txt#newcode5 example/component/news/test/expected/news_index_test.html.txt:5: RenderBlock {HTML} at (0,0) size 800x263.78 wow, subpixel ...
1 year, 9 months ago (2013-08-14 02:15:55 UTC) #2
Siggi Cherem (dart-lang)
https://chromiumcodereview.appspot.com/22928008/diff/1/example/component/news/test/expected/news_index_test.html.txt File example/component/news/test/expected/news_index_test.html.txt (right): https://chromiumcodereview.appspot.com/22928008/diff/1/example/component/news/test/expected/news_index_test.html.txt#newcode5 example/component/news/test/expected/news_index_test.html.txt:5: RenderBlock {HTML} at (0,0) size 800x263.78 On 2013/08/14 02:15:55, ...
1 year, 9 months ago (2013-08-14 17:31:49 UTC) #3
Siggi Cherem (dart-lang)
1 year, 9 months ago (2013-08-14 17:32:06 UTC) #4
Message was sent while issue was closed.
Committed patchset #1 manually as r6d8f86d (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be